org.apache.olingo.commons.api.edm

## Interface EdmOperation

- All Superinterfaces:
    EdmAnnotatable, EdmNamed, EdmType
  All Known Subinterfaces:
    EdmAction, EdmFunction

      public interface EdmOperation
      extends EdmType, EdmAnnotatable

  A EdmOperation can either be an `EdmAction` or an `EdmFunction`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullQualifiedName` | `getBindingParameterTypeFqn()`
    `String` | `getEntitySetPath()`
    `EdmParameter` | `getParameter(String name)` Get parameter for given name
    `List<String>` | `getParameterNames()` A list of all parameter names.
    `EdmEntitySet` | `getReturnedEntitySet(EdmEntitySet bindingParameterEntitySet)` Get EdmEntitySet for the given binding parameters EntitySet
    `EdmReturnType` | `getReturnType()`
    `Boolean` | `isBindingParameterTypeCollection()`
    `boolean` | `isBound()` For more information on bound operations please refer to the OData V4 specification.

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmType

      `getFullQualifiedName, getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getParameter

          EdmParameter getParameter(String name)

      Get parameter for given name
      Parameters:
        `name` - name of parameter
      Returns:
        `EdmParameter` for this name

    - #### getParameterNames

          List<String> getParameterNames()

      A list of all parameter names. If this is a bound action or function the first parameter name in the list is the binding parameter
      Returns:
        a list of all parameter names

    - #### getReturnedEntitySet

          EdmEntitySet getReturnedEntitySet(EdmEntitySet bindingParameterEntitySet)

      Get EdmEntitySet for the given binding parameters EntitySet
      Parameters:
        `bindingParameterEntitySet` - EntitySet of binding parameter
      Returns:
        `EdmEntitySet` for this binding

    - #### getReturnType

          EdmReturnType getReturnType()

      Returns:
        `EdmReturnType` of this operation

    - #### isBound

          boolean isBound()

      For more information on bound operations please refer to the OData V4 specification.
      Returns:
        true if bound

    - #### getBindingParameterTypeFqn

          FullQualifiedName getBindingParameterTypeFqn()

      Returns:
        the fullqualified type name of the binding parameter

    - #### isBindingParameterTypeCollection

          Boolean isBindingParameterTypeCollection()

      Returns:
        true if binding parameter is of type collection.

    - #### getEntitySetPath

          String getEntitySetPath()

      Returns:
        the entity set path as a String or null if not present

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.